AWS IoT Device SDK C++ v2: Aws::Iotshadow::ShadowUpdatedEvent Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::ShadowUpdatedEvent Class Referencefinal

`#include <ShadowUpdatedEvent.h>`

## Public Member Functions
| ShadowUpdatedEvent ()=default
| ShadowUpdatedEvent (const Crt::JsonView &doc)
ShadowUpdatedEvent & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Iotshadow::ShadowUpdatedSnapshot > | Previous
Aws::Crt::Optional< Aws::Iotshadow::ShadowUpdatedSnapshot > | Current
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp

## Detailed Description

A description of the before and after states of a device shadow.

## Constructor & Destructor Documentation

## ◆ ShadowUpdatedEvent() [1/2]

Aws::Iotshadow::ShadowUpdatedEvent::ShadowUpdatedEvent | ( |  | ) |
| default

## ◆ ShadowUpdatedEvent() [2/2]

Aws::Iotshadow::ShadowUpdatedEvent::ShadowUpdatedEvent | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

ShadowUpdatedEvent & Aws::Iotshadow::ShadowUpdatedEvent::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::ShadowUpdatedEvent::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ Current

Aws::Crt::Optional<Aws::Iotshadow::ShadowUpdatedSnapshot> Aws::Iotshadow::ShadowUpdatedEvent::Current

Contains the state of the object after the update.

## ◆ Previous

Aws::Crt::Optional<Aws::Iotshadow::ShadowUpdatedSnapshot> Aws::Iotshadow::ShadowUpdatedEvent::Previous

Contains the state of the object before the update.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotshadow::ShadowUpdatedEvent::Timestamp

The time the event was generated by AWS IoT.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/ShadowUpdatedEvent.h
- shadow/source/ShadowUpdatedEvent.cpp